# Uses of Interface
org.codehaus.janino.util.ClassFile.ElementValue

Packages that use ClassFile.ElementValue
Package
Description
org.codehaus.janino.util
Application-independent helper classes.

## Uses of ClassFile.ElementValue in org.codehaus.janino.util

Classes in org.codehaus.janino.util that implement ClassFile.ElementValue
Modifier and Type
Class
Description
`static class`
`ClassFile.Annotation`
The structure of the `annotations` array as described in JVMS8 4.7.16.
`static final class`
`ClassFile.ArrayElementValue`
Representation of the "array_value" structure.
`static final class`
`ClassFile.BooleanElementValue`
`static final class`
`ClassFile.ByteElementValue`
`static final class`
`ClassFile.CharElementValue`
`static final class`
`ClassFile.ClassElementValue`
`static class`
`ClassFile.ConstantElementValue`
Convenience class for element values that are constants (as opposed to annotations, enum constants and arrays).
`static final class`
`ClassFile.DoubleElementValue`
`static final class`
`ClassFile.EnumConstValue`
Representation of the "enum_const_value" element in the "element_value" structure.
`static final class`
`ClassFile.FloatElementValue`
`static final class`
`ClassFile.IntElementValue`
`static final class`
`ClassFile.LongElementValue`
`static final class`
`ClassFile.ShortElementValue`
`static final class`
`ClassFile.StringElementValue`
Fields in org.codehaus.janino.util declared as ClassFile.ElementValue
Modifier and Type
Field
Description
`final ClassFile.ElementValue[]`
ClassFile.ArrayElementValue.`values`
The values of the elements of this array element value.
Fields in org.codehaus.janino.util with type parameters of type ClassFile.ElementValue
Modifier and Type
Field
Description
`final Map<Short,ClassFile.ElementValue>`
ClassFile.Annotation.`elementValuePairs`
The "element_value_pairs" field of the `annotation` type as described in JVMS8 4.7.16.
Method parameters in org.codehaus.janino.util with type arguments of type ClassFile.ElementValue
Modifier and Type
Method
Description
`void`
Annotatable.`addAnnotationsAttributeEntry(boolean runtimeVisible, String fieldDescriptor, Map<Short,ClassFile.ElementValue> elementValuePairs)`
Adds a "Runtime[In]visibleAnnotations" attribute to `this` object (if that annotation does not yet exist) and adds an entry to it.
`void`
ClassFile.`addAnnotationsAttributeEntry(boolean runtimeVisible, String fieldDescriptor, Map<Short,ClassFile.ElementValue> elementValuePairs)`
Creates a `Runtime[In]visibleAnnotations` attribute on the class (if it does not yet exist) and adds an entry to it.
`void`
ClassFile.FieldInfo.`addAnnotationsAttributeEntry(boolean runtimeVisible, String fieldDescriptor, Map<Short,ClassFile.ElementValue> elementValuePairs)`
`void`
ClassFile.MethodInfo.`addAnnotationsAttributeEntry(boolean runtimeVisible, String fieldDescriptor, Map<Short,ClassFile.ElementValue> elementValuePairs)`
Constructors in org.codehaus.janino.util with parameters of type ClassFile.ElementValue
Modifier
Constructor
Description
``
`AnnotationDefaultAttribute(short attributeNameIndex, ClassFile.ElementValue elementValue)`
``
`ArrayElementValue(ClassFile.ElementValue[] values)`
Constructor parameters in org.codehaus.janino.util with type arguments of type ClassFile.ElementValue
Modifier
Constructor
Description
``
`Annotation(short typeIndex, Map<Short,ClassFile.ElementValue> elementValuePairs)`